SQL-инъекция в Papoo

Дата публикации:
26.12.2005
Дата изменения:
17.10.2006
Всего просмотров:
3071
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2005-4478
CVE-2006-1766
CVE-2006-1918
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Papoo 2.x
Уязвимые версии: Papoo 2.1.2 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "menuid" в сценариях "index.php" и "guestbook.php", в параметрах "forumid" и "reporeid_print" сценария "print.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Пример:

/index.php?menuid=[SQL]
/guestbook.php?menuid=[SQL]
/print.php?reporeid_print=&forumid=[SQL]
/print.php?reporeid_print=[SQL]

URL производителя: www.papoo.org

Решение: Способов устранения уязвимости не существует в настоящее время.

Источник:

Ссылки: Papoo Multiple SQL vuln.

или введите имя

CAPTCHA